'use strict'
var gulp = require('gulp');
var uglify = require('gulp-uglify');
var rename = require('gulp-rename');

gulp.task('script', function() {
    return gulp.src('src/*.js')
        .pipe(gulp.dest('dist/'))
        .pipe(rename({suffix: '.min'}))
        .pipe(uglify())
        .pipe(gulp.dest('dist/'));
});

gulp.task('auto', function () {
    gulp.watch('src/*.js', ['script'])
})

gulp.task('default', ['script','auto']);