#jquery.tags.js
A Jquery tag input pulgin, use Bootstrap UI.

#Features
- Designed for bootstrap
- Editable tag
- Get\Set value

#Demo
[demo link](https://qingwei-li.github.io/jquery.tags.js/demo.html)


#Usage
##start

- data-toggle="tags"


```html
<input type="text" class="form-control" data-toggle="tags" />
```

- $('#id').tags()

```html
<input type="text" class="form-control" id="id" />
<script>
    $(document).ready(function () {
        $('#id').tags();
	});
</script>
```

##set value

- $('#id').tags('value1', 'value2', 'value3')

```html
<input type="text" class="form-control" id="id" />
<script>
	$(document).ready(function () {
        $('#id').tags('value1', 'value2', 'value3');
	});
</script>
```


- $('#id').tags(['value1', 'value2', 'value3'])

```html
<input type="text" class="form-control" id="id" />
<script>
	$(document).ready(function () {
        // or array
        $('#id').tags(['value1', 'value2', 'value3']);
	});
</script>
```

##get value
- $('#id').val()

